' Listing 9.9. A script that creates a shortcut file using environment variables.
'
Set objWshShell = WScript.CreateObject("WScript.Shell")
'
' Get the %UserProfile% and %SystemRoot% environment variables
'
strUserProfile = objWshShell.Environment("Process")("UserProfile")
strSystemRoot = objWshShell.Environment("Process")("SystemRoot")
'
' Create the shortcut
'
Set objShortcut = objWshShell.CreateShortcut(strUserProfile & _
                  "\Desktop\Edit To Do List.lnk")
'
' Set some shortcut properties and then save it
'
With objShortcut
    .TargetPath = strSystemRoot & "\Notepad.exe"
    .Arguments = strUserProfile & "\Documents\todolist.txt"
    .WorkingDirectory = strUserProfile & "\Desktop"
    .Description = "Opens ToDoList.txt in Notepad"
    .Hotkey = "Ctrl+Alt+7"
    .IconLocation = strSystemRoot & "\System32\Shell32.dll,21"
    .WindowStyle = 3
    .Save
End With
